Winsvc.SERVICE_FAILURE_ACTIONS_FLAG (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winsvc, class: SERVICE_FAILURE_ACTIONS_FLAG

Package com.sun.jna.platform.win32

# Class Winsvc.SERVICE_FAILURE_ACTIONS_FLAG

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Winsvc.ChangeServiceConfig2Info
com.sun.jna.platform.win32.Winsvc.SERVICE_FAILURE_ACTIONS_FLAG

Enclosing interface:
  Winsvc

@FieldOrder("fFailureActionsOnNonCrashFailures") public static class Winsvc.SERVICE_FAILURE_ACTIONS_FLAG extends Winsvc.ChangeServiceConfig2Info
Contains the failure actions flag setting of a service. This setting determines when failure actions are to be executed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `fFailureActionsOnNonCrashFailures`
  If this member is TRUE and the service has configured failure actions, the failure actions are queued if the service process terminates without reporting a status of SERVICE_STOPPED or if it enters the SERVICE_STOPPED state but the dwWin32ExitCode member of the SERVICE_STATUS structure is not ERROR_SUCCESS (0).

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SERVICE_FAILURE_ACTIONS_FLAG()`
  `SERVICE_FAILURE_ACTIONS_FLAG(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fFailureActionsOnNonCrashFailures

    public int fFailureActionsOnNonCrashFailures
    If this member is TRUE and the service has configured failure actions, the failure actions are queued if the service process terminates without reporting a status of SERVICE_STOPPED or if it enters the SERVICE_STOPPED state but the dwWin32ExitCode member of the SERVICE_STATUS structure is not ERROR_SUCCESS (0). If this member is FALSE and the service has configured failure actions, the failure actions are queued only if the service terminates without reporting a status of SERVICE_STOPPED. This setting is ignored unless the service has configured failure actions. For information on configuring failure actions, see ChangeServiceConfig2.

- ## Constructor Details

  - ### SERVICE_FAILURE_ACTIONS_FLAG

    public SERVICE_FAILURE_ACTIONS_FLAG()

  - ### SERVICE_FAILURE_ACTIONS_FLAG

    public SERVICE_FAILURE_ACTIONS_FLAG(Pointer p)